Bug 222173

Summary: lang/php7x: Ports failing due to missing mysql extension
Product: Ports & Packages Reporter: Bernard Spil <brnrd>
Component: Individual Port(s)Assignee: Torsten Zuehlsdorff <tz>
Status: Closed FIXED    
Severity: Affects Some People CC: tz
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   

Description Bernard Spil freebsd_committer 2017-09-09 18:42:29 UTC
List of ports that require the PHP mysql extension which was dropped from 7.0.

> =======================<phase: check-sanity   >============================
> Unknown extension mysql for PHP 71.
> *** Error code 1

These ports should get added

> IGNORE_WITH_PHP= 70 71 72
> DEPRECATED= port requires mysql which was dropped from PHP 7.0
> EXPIRATION_DATE= 2018-12-31

databases/mysqldumper
databases/sqlbuddy
ftp/net2ftp
games/mkgichessclub
mail/dracmail
mail/sgwi
net-mgmt/hawk
net-mgmt/ipplan
net-mgmt/klg
net-mgmt/nagiosql
net-mgmt/nedi
net-mgmt/ocsinventory-ng
net-mgmt/pandorafms_console
net-mgmt/zabbix2-frontend
net-mgmt/zabbix22-frontend
ports-mgmt/tinderbox
security/mailzu
www/asterisk-stat
www/atutor
www/b2evolution
www/bblog
www/claroline
www/cmsmadesimple
www/coppermine
www/dotproject
www/elgg
www/entrans
www/eventum
www/fluxbb
www/freeway
www/gallery3
www/impresscms
www/jinzora
www/kplaylist
www/lilurl
www/limesurvey
www/magento
www/mahara
www/mediawiki123
www/mybb
www/mysar
www/mythplugin-mythweb
www/netoffice
www/openxmldir
www/oscommerce
www/redaxo
www/rnews
www/sams2
www/serendipity
www/sit
www/sitebar
www/sxweb
www/testlink
www/textpattern
www/usermanager
www/zikula
Comment 1 commit-hook freebsd_committer 2017-09-09 19:18:38 UTC
A commit references this bug:

Author: brnrd
Date: Sat Sep  9 19:18:17 UTC 2017
New revision: 449504
URL: https://svnweb.freebsd.org/changeset/ports/449504

Log:
  ftp/net2ftp: Update to 1.1

   - Update contains PHP 7 compat

  PR:		222173

Changes:
  head/ftp/net2ftp/Makefile
  head/ftp/net2ftp/distinfo
  head/ftp/net2ftp/pkg-plist
Comment 2 commit-hook freebsd_committer 2017-09-09 19:31:49 UTC
A commit references this bug:

Author: brnrd
Date: Sat Sep  9 19:30:56 UTC 2017
New revision: 449505
URL: https://svnweb.freebsd.org/changeset/ports/449505

Log:
  net-mgmt/hawk: Add IGNORE for PHP 7.1

   - mysql PHP extension was dropped in 7.0

  PR:		222173

Changes:
  head/net-mgmt/hawk/Makefile
Comment 3 commit-hook freebsd_committer 2017-09-10 14:41:55 UTC
A commit references this bug:

Author: brnrd
Date: Sun Sep 10 14:41:17 UTC 2017
New revision: 449575
URL: https://svnweb.freebsd.org/changeset/ports/449575

Log:
  mail/sgwi: Switch to mysqli PHP extension

   - Fixes build with PHP 7.x
   - Switch to USES=php

  PR:		222173
  Submitted by:	Lukasz Wasikowski <lukasz@wasikowski.net>

Changes:
  head/mail/sgwi/Makefile
  head/mail/sgwi/distinfo
Comment 4 Torsten Zuehlsdorff freebsd_committer 2019-01-23 10:10:41 UTC
Is here still anything to do? As far as i can see, this was already covered. Or is there anything left?
Comment 5 Torsten Zuehlsdorff freebsd_committer 2019-01-24 09:04:28 UTC
I could not find anything to do left. Therefore i'm closing the ticket!

Greetings,
Torsten